features:
- name: constructed-stylesheets
  files:
  - adoptedstylesheets-observablearray.html
  - CSSStyleSheet-constructable-*
  - CSSStyleSheet-constructable.html
  - CSSStyleSheet-template-adoption.html
- name: document-caretpositionfrompoint
  files:
  - caretPositionFromPoint-with-transformation.html
  - caretPositionFromPoint.html
- name: all
  files:
  - "*-all-*"
- name: alternative-style-sheets
  files:
  - HTMLLinkElement-disabled-002.html
  - HTMLLinkElement-disabled-003.html
  - HTMLLinkElement-disabled-004.html
  - HTMLLinkElement-disabled-005.html
  - HTMLLinkElement-disabled-006.html
  - HTMLLinkElement-disabled-007.html
  - HTMLLinkElement-disabled-alternate.html
- name: get-computed-style
  files:
  - computed-style-001.html
  - computed-style-set-property.html
  - getComputedStyle-animations-replaced-into-ib-split.html
  - getComputedStyle-detached-subtree.html
  - getComputedStyle-display-none-001.html
  - getComputedStyle-display-none-002.html
  - getComputedStyle-display-none-003.html
  - getComputedStyle-dynamic-subdoc.html
  - getComputedStyle-getter-v-properties.tentative.html
  - getComputedStyle-insets-absolute-crash.html
  - getComputedStyle-insets-absolute-logical-crash.html
  - getComputedStyle-insets-multicol-absolute-crash.html
  - getComputedStyle-layout-dependent-removed-ib-sibling.html
  - getComputedStyle-layout-dependent-replaced-into-ib-split.html
  - getComputedStyle-logical-enumeration.html
  - getComputedStyle-property-order.html
  - getComputedStyle-pseudo.html
  - getComputedStyle-pseudo-checkmark.html
  - getComputedStyle-pseudo-picker-icon.html
  - getComputedStyle-pseudo-with-argument.html
  - getComputedStyle-special-chars-crash.html
- name: font-face
  files:
  - CSSFontFaceRule.html
  - cssom-fontfacerule*
- name: font-variant
  files:
  - font-variant-shorthand-serialization.html
- name: css-escape
  files:
  - escape.html
- name: css-object-model
  files:
  # CSSGroupingRule:
  - CSSGroupingRule-*
  # CSSPageDescriptors:
  - page-descriptors.html
  - cssom-pagerule.html
  # CSSRuleList:
  - CSSRuleList.html
  # CSSStyleDeclaration:
  - css-style-declaration-modifications.html
  - cssom-cssstyledeclaration-set.html
  - cssstyledeclaration-*
  # CSSStyleRule:
  - CSSStyleRule.html
  # Document.styleSheets / StyleSheetList / StyleSheet
  - StyleSheetList*
  # HTMLElement.style:
  - style-attr-update-across-documents.html
  # HTMLLinkElement.sheet / HTMLStyleElement.sheet:
  - style-sheet-interfaces-*
  # MediaList:
  - MediaList*
  - medialist-*
  # CSSConditionRule:
  - CSSConditionRule-conditionText.html
  # CSSMediaRule:
  - serialize-media-rule.html
- name: matchmedia
  files:
  - mediaquery-sort-dedup.html
- name: mutationobserver
  files:
  - MutationObserver-style.html
- name: page-setup
  files:
  - cssom-pagerule.html
  - page-descriptors.html
- name: import
  files:
  - cssimportrule*
- name: where
  files:
  - insert-invalid-where-rule-crash.html
- name: namespace
  files:
  - CSSNamespaceRule.html
  - CSSStyleRule-set-selectorText-namespace.html
  - at-namespace.html
  - delete-namespace-rule-when-child-rule-exists.html
  - insertRule-namespace-no-index.html
  - serialize-namespaced-type-selectors.html
